%define daemon_user monitor
%if 0%{?suse_version}
%define htmlroot /srv/www/htdocs
%define httpconfdir apache2/conf.d
%define daemon_group www
%define web_user wwwrun
%else
%define htmlroot /var/www/html
%define httpconfdir httpd/conf.d
%define daemon_group apache
%define web_user apache
%endif
Name: op5-trapper-gui
Version: %{op5version}
Release: %{op5release}
License: GPLv2
Packager: build@op5
Vendor: op5 AB
BuildRoot: %{_tmppath}/%{name}-%{version}
Summary: SNMP traps GUI
Group: op5/trapper
Prefix: /opt/monitor/op5/ninja
BuildArch: noarch
Requires: op5-trapper-processor, monitor-ninja >= 3.1
Requires: op5license
BuildRequires: monitor-ninja
BuildRequires: monitor-ninja-test
BuildRequires: monitor-ninja-devel
BuildRequires: op5-phpunit
Source: %name-%version.tar.gz

%description
SNMP traps GUI for Ninja

%package test
Summary: Tests for the trapper GUI
Group: op5/trapper
Requires: op5-mysql
Requires: gcc
Requires: phantomjs
%if 0%{?rhel} <= 6
Requires: ruby20
Requires: ruby20-devel
%else
Requires: ruby
Requires: ruby-devel
%endif
Requires: op5license-generator
Requires: op5license-tests
Requires: monitor-nacoma
Requires: monitor-ninja-test
Requires: monitor-ninja-devel

%description test
Tests for the trapper GUI

%prep
rm -rf %buildroot
%setup -q

%build
make

%install
mkdir -p -m 755 %buildroot%prefix/modules
cp -r trapper %buildroot%prefix/modules
mkdir -p -m 755 %buildroot%prefix/modules/trapper/views/traps


%files
%defattr(644,%daemon_user,%daemon_group,755)
%prefix/modules/trapper

%files test
#nope
%exclude /

%clean
rm -rf %buildroot
